<%@ Page Language="vb" autoeventwireup="false" codebehind="default.aspx.vb" Inherits="DgToExcelDemo._default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>DataGrid Demo</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link media="screen" href="main.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <form id="frmDemo" runat="server">
        <div class="izquierda" id="izquierda">
            <h1>DataGrid con CSS
            </h1>
            (Incluye clases CSS para cada parte del datagrid)
            <p>
                <asp:DataGrid id="dgConCSS" runat="server" HorizontalAlign="Center" Width="80%" GridLines="None" AllowPaging="True" AutoGenerateColumns="False">
                    <PagerStyle position="TopAndBottom" mode="NumericPages"></PagerStyle>
                    <Columns>
                        <asp:ButtonColumn Text="Demo" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
                        <asp:BoundColumn DataField="ContactName" HeaderText="Nombre"></asp:BoundColumn>
                        <asp:BoundColumn DataField="CompanyName" HeaderText="Compa&amp;ntilde;&amp;iacute;a"></asp:BoundColumn>
                        <asp:BoundColumn DataField="Phone" HeaderText="Tel&amp;eacute;fono"></asp:BoundColumn>
                    </Columns>
                </asp:DataGrid>
                &nbsp;
            </p>
            <p>
                <asp:Button id="cmdExportCSS" runat="server" Text="Exportar" CssClass="boton"></asp:Button>
            </p>
        </div>
        <div class="derecha" id="derecha">
            <h1>DataGrid sin CSS
            </h1>
            (Generado a trav&eacute;s del formato autom&aacute;tico) 
            <p>
                <asp:DataGrid id="dgSinCSS" runat="server" HorizontalAlign="Center" GridLines="None" AllowPaging="True" AutoGenerateColumns="False" ForeColor="Black" width="80%" BorderWidth="1px" BorderColor="Tan" BackColor="LightGoldenrodYellow" CellPadding="2">
                    <FooterStyle backcolor="Tan"></FooterStyle>
                    <HeaderStyle font-bold="True" backcolor="Tan"></HeaderStyle>
                    <PagerStyle horizontalalign="Center" forecolor="DarkSlateBlue" position="TopAndBottom" backcolor="PaleGoldenrod" mode="NumericPages"></PagerStyle>
                    <SelectedItemStyle forecolor="GhostWhite" backcolor="DarkSlateBlue"></SelectedItemStyle>
                    <AlternatingItemStyle backcolor="PaleGoldenrod"></AlternatingItemStyle>
                    <Columns>
                        <asp:TemplateColumn>
                            <ItemTemplate>
                                <asp:CheckBox id="demo" runat="server" Text="Demo"></asp:CheckBox>
                            </ItemTemplate>
                        </asp:TemplateColumn>
                        <asp:BoundColumn DataField="ContactName" HeaderText="Nombre">
                            <HeaderStyle horizontalalign="Center"></HeaderStyle>
                        </asp:BoundColumn>
                        <asp:BoundColumn DataField="CompanyName" HeaderText="Compa&amp;ntilde;&amp;iacute;a">
                            <HeaderStyle horizontalalign="Center"></HeaderStyle>
                        </asp:BoundColumn>
                        <asp:BoundColumn DataField="Phone" HeaderText="Tel&amp;eacute;fono">
                            <HeaderStyle horizontalalign="Center"></HeaderStyle>
                        </asp:BoundColumn>
                    </Columns>
                </asp:DataGrid>
            </p>
            <p>
                <asp:Button id="cmdExportSinCSS" runat="server" Text="Exportar" CssClass="boton"></asp:Button>
            </p>
        </div>
    </form>
</body>
</html>
